Agent Tools
Execute Agent Tool
Execute a tool instance manually (for testing/direct invocation).
POST
/
agents
/
{agent_id}
/
tools
/
{instance_name}
/
execute
Execute Agent Tool
curl --request POST \
--url https://api.example.com/agents/{agent_id}/tools/{instance_name}/execute \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"arguments": {},
"session_id": "<string>"
}
'import requests
url = "https://api.example.com/agents/{agent_id}/tools/{instance_name}/execute"
payload = {
"arguments": {},
"session_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({arguments: {}, session_id: '<string>'})
};
fetch('https://api.example.com/agents/{agent_id}/tools/{instance_name}/execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tool_key": "<string>",
"instance_name": "<string>",
"execution_id": "<string>",
"result": "<unknown>",
"status": "<string>",
"execution_time_ms": 123,
"error": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I
Execute Agent Tool
